aboutsummaryrefslogtreecommitdiffstats
path: root/functest/ci
diff options
context:
space:
mode:
authorMorgan Richomme <morgan.richomme@orange.com>2017-08-23 12:39:36 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-08-23 12:39:36 +0000
commit35373ca7f27431f8dd59b45f8d2cf7618b98c699 (patch)
tree829da71051e1a617c4e70072c1c4e674fcbf06b2 /functest/ci
parent9a9856b49a1758501d11cb0a47c713f92c5adc11 (diff)
parent2a0949afeafd19cc20d5dd3ee8ed7f18c786d5d9 (diff)
Merge "Fixes image download script"
Diffstat (limited to 'functest/ci')
-rw-r--r--functest/ci/download_images.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/functest/ci/download_images.sh b/functest/ci/download_images.sh
index 34ec33310..d92033351 100644
--- a/functest/ci/download_images.sh
+++ b/functest/ci/download_images.sh
@@ -1,12 +1,15 @@
#!/bin/bash
-cat << EOF | wget -i - -P ${1:-/home/opnfv/functest/images}
+set -ex
+
+wget_opts="-N --tries=1 --connect-timeout=30"
+
+cat << EOF | wget ${wget_opts} -i - -P ${1:-/home/opnfv/functest/images}
http://download.cirros-cloud.net/0.3.5/cirros-0.3.5-x86_64-disk.img
https://cloud-images.ubuntu.com/releases/14.04/release/ubuntu-14.04-server-cloudimg-amd64-disk1.img
https://cloud.centos.org/centos/7/images/CentOS-7-x86_64-GenericCloud.qcow2
https://cloud-images.ubuntu.com/releases/16.04/release/ubuntu-16.04-server-cloudimg-amd64-disk1.img
http://repository.cloudifysource.org/cloudify/4.0.1/sp-release/cloudify-manager-premium-4.0.1.qcow2
-http://marketplace.openbaton.org:8082/api/v1/images/52e2ccc0-1dce-4663-894d-28aab49323aa/img
http://cloud-images.ubuntu.com/trusty/current/trusty-server-cloudimg-amd64-disk1.img
http://download.cirros-cloud.net/0.3.5/cirros-0.3.5-x86_64-lxc.tar.gz
http://download.cirros-cloud.net/daily/20161201/cirros-d161201-aarch64-disk.img
@@ -14,4 +17,7 @@ http://download.cirros-cloud.net/daily/20161201/cirros-d161201-aarch64-initramfs
http://download.cirros-cloud.net/daily/20161201/cirros-d161201-aarch64-kernel
EOF
+# vnf requires also the next image which cannot be downloaded by jjobs
+# http://marketplace.openbaton.org:8082/api/v1/images/52e2ccc0-1dce-4663-894d-28aab49323aa/img
+
exit $?